Package skyview.geometry.spheredistorter

# Class Besselian.BesselianInverse

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.SphereDistorter
skyview.geometry.spheredistorter.Besselian.BesselianInverse

All Implemented Interfaces:
  `Serializable`, `Component`

Enclosing class:
  `Besselian`

public class Besselian.BesselianInverse extends SphereDistorter
This inner class defines the inverse distortion to the enclosing Besselian distorter.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BesselianInverse()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
What does this object do?
`String`
`getName()`
A name for this object
`SphereDistorter`
`inverse()`
Get the inverse of the transformation.
`boolean`
`isInverse(Transformer t)`
Is the the inverse of another transformation
`final void`
`transform(double[] x, double[] y)`
Convert coordinates from B1950 to J2000 for epoch 1950.

### Methods inherited from class skyview.geometry.SphereDistorter

`getInputDimension, getOutputDimension`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BesselianInverse

public BesselianInverse()

## Method Details

### getName

public String getName()
Description copied from class: `SphereDistorter`
A name for this object

Specified by:
  `getName` in interface `Component`
Overrides:
  `getName` in class `SphereDistorter`

### inverse

public SphereDistorter inverse()
Description copied from class: `Transformer`
Get the inverse of the transformation. If the order matters, then the inverse is to be applied after the original transformation. This is primarily an issue with Converters.

Specified by:
  `inverse` in class `SphereDistorter`

### isInverse

public boolean isInverse(Transformer t)
Is the the inverse of another transformation

Specified by:
  `isInverse` in class `Transformer`

### getDescription

public String getDescription()
Description copied from class: `SphereDistorter`
What does this object do?

Specified by:
  `getDescription` in interface `Component`
Overrides:
  `getDescription` in class `SphereDistorter`

### transform

public final void transform(double[] x, double[] y)
Convert coordinates from B1950 to J2000 for epoch 1950.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `x` - The input vector.
  `y` - The output vector, it may be the same as the input vector if the dimensionalities are the same. All transformers are expected to work with aliased inputs and output.